Name:          libportaudio
Epoch:         1
Version:       19.7.0
Release:       2mamba
Summary:       A free, cross platform, open-source, audio I/O library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/PortAudio/portaudio
Source:        https://github.com/PortAudio/portaudio.git/v%{version}/portaudio-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libjack-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
A free, cross platform, open-source, audio I/O library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A free, cross platform, open-source, audio I/O library.
This package contains static libraries and header files needed for development.

%prep
%setup -q -n portaudio-%{version}
cd bindings/cpp
autoreconf -fiv
cd ../..
autoreconf -fiv

%build
%configure \
    --enable-cxx

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

for f in pa_asio.h pa_linux_alsa.h pa_jack.h; do
   install -m0644 include/$f %{buildroot}%{_includedir}/$f
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libportaudio.so.*
%{_libdir}/libportaudiocpp.so.*
%doc LICENSE.txt

%files devel
%defattr(-,root,root)
%{_includedir}/pa_*.h
%{_includedir}/portaudio.h
%dir %{_includedir}/portaudiocpp
%{_includedir}/portaudiocpp/*.hxx
%{_libdir}/libportaudio.a
%{_libdir}/libportaudio.so
%{_libdir}/libportaudiocpp.a
%{_libdir}/libportaudiocpp.so
%{_libdir}/pkgconfig/*.pc
%doc README.md

%changelog
* Thu Jan 16 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 19.7.0-2mamba
- rebuilt with cxx library

* Fri May 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 19.7.0-1mamba
- update to 19.7.0

* Fri Dec 01 2017 Automatic Build System <autodist@mambasoft.it> 190600_20161030-1mamba
- automatic update by autodist

* Sat Feb 01 2014 Automatic Build System <autodist@mambasoft.it> 19_20140130-1mamba
- automatic version update by autodist

* Sat Jan 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 19_20111121-3mamba
- restore installation of pa_unix_oss.h from Pa_GetStreamHostApiType patch

* Fri Jan 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 19_20111121-2mamba
- fixed and restored Pa_GetStreamHostApiType patch for audacity

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 19_20111121-1mamba
- update to 19_20111121

* Fri Mar 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 19-8mamba
- install pa_*.h headers

* Wed Mar 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 19-7mamba
- added patch to add Pa_GetStreamHostApiType as required by audacity

* Mon Mar 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 19-6mamba
- rebuilt with jack2 to fix .la file

* Thu Dec 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 19-5mamba
- rebuilt with jack 2

* Tue Apr 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 19-4mamba
- update to update to stable v19_20071207

* Tue Oct 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 19-3mamba
- update to latest snapshot release

* Fri May 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 19-2mamba
- update to snapshot release

* Thu May 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 19-1mamba
- package created by autospec
